package jp.sourceforge.jirc;

import java.awt.Container;

import jp.sourceforge.jirc.net.IRC;
import jp.sourceforge.jirc.net.Channel;

public interface ClientComponent {
	public void setTopic();
    public void setTopic(String string);

    public void changeUser(IRC irc, String oldNick, String newNick);
    public void removeUser(IRC irc, String oldNick, String newNick);

    public void setNowChannel(Channel channel);

    public void append(Channel channel, String string);
    public void setDefaultCloseOperation(int i);
    public Channel makeChannel(IRC irc, String name);
    public Channel makeServerChannel(IRC irc, String name);
    public void removeChannel(Channel channel);
    public void exit();

    public void addDefaultWindowListener();
    public void init(Container container);
    public void setConnection(IRC irc, boolean flag);
    public void writeMessage(String channel, String message);
}
