package jp.sourceforge.jirc;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.StringTokenizer;

import javax.swing.JTextField;

class InputListener implements ActionListener {
    private final char LF = '\n';

    private final JTextField tf;
    private final Window window;

    InputListener(Window window, JTextField tf) {
    		this.window = window;
    		this.tf = tf;
    }

    public void actionPerformed(ActionEvent ae) {
    		String string = tf.getText();

    		if(!string.equals("")) {
	  		if(string.indexOf(LF) > 0) {
    				StringTokenizer st = new StringTokenizer(string, "" + LF);
    				while(st.hasMoreTokens()) {
    					window.getNowChannel().writeMessage(st.nextToken());
    				}
    			} else {
    				window.getNowChannel().writeMessage(string);
    			}
    		}
    		tf.setText("");
    }
}
