package jp.sourceforge.jirc.net;

public interface Channel {
    public IRC getIRC();
    public ChannelMode getMode();
    public void setMode(String mode);
    public void setMode(String nick, String mode);
    public boolean hasTopic();
    public void setTopic(String topic);
    public String getTopic();
    public void append(String string);
    public void appendCommandMessage(String string);
    public void appendErrorMessage(String string);
    public void writeMessage(String string);
    public void addUser(String nick);
    public void removeUser(String nick);
    public void setChanop(String nick, boolean flag);
    public void setVoice(String nick, boolean flag);
}
