package jp.sourceforge.jirc.net;

public interface Client {
    public IRC Connection(String server, int port,String nick,String user, String passwd) throws Exception;
    public void setConnection(IRC irc, boolean flag);
    public boolean isConnected();
    public void Disconnection();
    public void append(Channel channel, String string);
    
    public Channel makeServerChannel(IRC irc, String name);
    public Channel makeChannel(IRC irc, String name);
    public void removeChannel(Channel channel);
    public void removeUser(IRC irc, String nick, String message);
    public void changeUser(IRC irc, String oldNick, String newNick);

    public String encToUNICODE(String string);
    public String toENC(String string);
    public void setException(Exception e);
}
